#!/bin/bash

clear

ifconfig eth1 2> /dev/null | grep Ethernet 1> /dev/null && (

echo -e "\n*** O co tu Kaman?-Ten skrypt zaraz sciagnie i zainstaluje projekt serwera LMS. Klepnij Enter ***"; read;
echo -e "*** Zainstalujmy potrzebne pakiety. Klepnij Enter ***"; read;

# instalujemy potrzebne pakiety
apt-get update -y && apt-get dist-upgrade -y
apt-get install mc bzip2 psmisc nmap iptraf htop sudo fping -y
apt-get install apache2 libapache2-mod-php5 php5 php5-cli php5-gd php5-mysql php5-mcrypt mysql-server mysql-client php-pear php-mail phpmyadmin -y
apt-get install build-essential wajig -y
apt-get install postfix dhcp3-server bind9 -y

# na wszelki wypadek wywalamy wszystko z /usr/src i innych
rm -frd /usr/src/*
rm -frd /var/www/*

echo -e "\n*** Sciagnijmy paczki z tsdbudnet.pl. Klepnij Enter ***"; read;

# sciagamy pakiety w zaleznosci od architektury

wget http://tsdlms.republika.pl/projekta/iproute_20101221-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdlms.republika.pl/projekta/iptables_1.4.8-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdlms.republika.pl/projekta/l7-protocols-2009-05-28-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdlms.republika.pl/projekta/linux-headers-2.6.34-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdlms.republika.pl/projekta/linux-image-2.6.34-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdbudnet.republika.pl/serwer/ppp_2.4.3-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdbudnet.republika.pl/serwer/pppoe_3.10-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdbudnet.republika.pl/serwer/pptpd_1.3.4-v-smart.pl_i386.deb --directory-prefix=/usr/src
wget http://tsdlms.republika.pl/projekta/router-vsmart-2.6.34.tar.gz --directory-prefix=/usr/src

echo -e "\n*** Zainstalujmy paczki z tsdbudnet.pl. Klepnij Enter ***"; read;

# instalujemy
dpkg -i /usr/src/*.deb

# kilka stopow
/etc/init.d/mysql stop


# mala poprawka do dhcpd i bind - wywalenie z autostartu
rm -f /etc/rc*.d/*dhcp*
rm -f /etc/rc*.d/*bind9

# inna nazwa dhcpd w squeeze
if [ -f /etc/init.d/isc-dhcp-server ]; then
    ln -s /etc/init.d/isc-dhcp-server /etc/init.d/dhcp3-server
fi

# poprawka do dhcp
if [ -d /etc/dhcp ]; then
    rm -frd /etc/dhcp3
    ln -s /etc/dhcp /etc/dhcp3
fi

# rozpakowujemy paczuszke
tar -xpf /usr/src/router-vsmart-2.6.34.tar.gz --directory=/

# zatrzymujemy pakiety w systemie
wajig hold iptables iproute ppp pppoe pptpd linux-image-2.6.34-v-smart.pl linux-headers-2.6.34-v-smart.pl

echo -e "\n*** Skompilujmy demonka do serwera LMS. Klepnij Enter ***"; read;

# kompilujemy demonka
cc -o /var/www/daemon/_daemon/vsmart-lmsd /var/www/daemon/_source/vsmart-lmsd.c

# kilka chownow
chown -R mysql.mysql /var/lib/mysql

# restart maszyny
echo -e "*** To tyle. Wykonajmy reboot. Klepnij Enter.(TSD-BUDNET s.c.) ***"; read; reboot;

) || (
    echo -e "\n*** Problem. Nie masz kurwa interfejsu eth1. Doloz karte sieciowa do kompa. Konczymy. Klepnij Enter ***"; read;
    exit 0
)

